AdditiveCipherAbstractPolicy Struct Referenceabstract
Inheritance diagram for AdditiveCipherAbstractPolicy:

## Public Member Functions

virtual unsigned int | GetAlignment () const
virtual unsigned int | GetBytesPerIteration () const =0
virtual unsigned int | GetOptimalBlockSize () const
virtual unsigned int | GetIterationsToBuffer () const =0
virtual void | WriteKeystream (byte *keystream, size_t iterationCount)
virtual bool | CanOperateKeystream () const
virtual void | OperateKeystream (KeystreamOperation operation, byte *output, const byte *input, size_t iterationCount)
virtual void | CipherSetKey (const NameValuePairs &params, const byte *key, size_t length)=0
virtual void | CipherResynchronize (byte *keystreamBuffer, const byte *iv, size_t length)
virtual bool | CipherIsRandomAccess () const =0
virtual void | SeekToIteration (lword iterationCount)

## Detailed Description

Definition at line 66 of file strciphr.h.

The documentation for this struct was generated from the following file:

- strciphr.h